<?php
    
//vérification de l'id article
//traitement de single
  $id='';
  if(isset($_GET['id'])&& is_numeric($_GET['id'])){
    $id=$_GET['id'];
  } 
  if(empty($_GET['id'])){
    die("l'article demandé n'existe pas");
  }


// sauvegarde d'un commentaire dans la BD
  if(isset($_POST['add-comment'])){
    if(!empty($_POST['auteur']) && !empty($_POST['comment'])){
      $auteur = $_POST['auteur'];
      $comment = $_POST['comment'];
      $id = $_POST['id'];

      saveComment($auteur, $id, $comment);
      header('location:single.php?id='.$_POST['id']);
      exit();
    }
  }
?>